Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List Use this API to fetch translation request and response logs for a bot conversation in ascending order of timestamp within a given date range. These logs help identify and debug issues with translation engine responses.
MethodGET
Endpointhttps://{{host}}/api/{{version}}/{{botId}}/translationlogs?sessionId={{sessionId}}&fromDate={{fromDate}}&toDate={{toDate}}&limit=50&offset=0
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeApp Builder: Debug Logs
Admin Console: Not Applicable

Path Parameters

ParameterDescription
hostEnvironment URL, for example, https://platform.kore.ai
versionRefers to the version of the API. The current version of this API is 1.1
botIdApp ID or Stream ID. You can access it from the App Settings —> App Profile page of the app.

Sample Request

curl --location 'https://{{host}}/api/1.1/{{botId}}/translationLogs?{{sessionId}}&fromDate=2026-04-27T00:00:00.000Z&toDate=2026-04-27T23:59:59.999Z&limit=50&offset=0' \
--header 'auth: {{jwt_token}}' \
--header 'Content-Type: application/json' \
--header 'accountId: {{accountId}}'

Query Parameters

ParameterDescriptionType
sessionIdConversation session ID used to fetch translation logs for a specific conversation session.string, optional
fromDateStart time for fetching logs. Use UTC timestamp format to avoid time zone related mismatches: YYYY-MM-DDTHH:MM:SS.000Z. Example: 2026-04-27T18:14:06.498Z. Use of YYYY-MM-DDmay not return accurate results across timezone boundaries.string (datetime), optional
toDateEnd time for fetching logs. Use UTC timestamp format: YYYY-MM-DDTHH:MM:SS.000Z. Example: 2026-04-27T23:59:59.999Z.string (datetime), optional
limitNumber of records to fetch. The maximum allowed value is 50. If not specified, the API returns up to 50 records.integer, optional
offsetNumber of records to skip before fetching results. If not specified, the API starts from 0.integer, optional
At least one of the following query parameter combinations must be provided to fetch translation logs: sessionId (or) fromDate and toDate

Sample Response

[
    {
        "sessionId": "69ef6f2737087759a08xxxxx",
        "timestamp": "2026-04-27T14:14:08.458Z",
        "inputPayload": {
            "endPoint": {
                "host": "xxxxxx-translate.laratranslate.com",
                "port": "",
                "path": "/translate",
                "protocol": "https",
                "method": "post",
                "connectorEnabled": false,
                "piiDataEnabled": false
            },
            "headerFields": {
                "Content-Type": "application/json",
                "X-Lara-Access-Key-Id": "15EJ8UGGTKQSA60BVSCE3xxxxx",
                "X-Lara-Access-Key-Secret": "***REDACTED***"
            },
            "payloadFields": {
                "sourceText": "Por favor espere mientras encuentro al agente adecuado para usted",
                "targetLanguage": "es"
            },
            "idp": "none",
            "force_proxy": true,
            "timeout": 20000
        },
        "outputPayload": {
            "translations": [
                "Por favor espere mientras encuentro al agente adecuado para usted"
            ]
        },
        "engine": "custom",
        "statusCode": 200,
        "success": true,
        "batchSize": 1
    },
    {
        "sessionId": "69ef6f2737087759a08xxxxx",
        "timestamp": "2026-04-27T14:15:16.669Z",
        "inputPayload": {
            "endPoint": {
                "host": "xxxxxx-translate.laratranslate.com",
                "port": "",
                "path": "/translate",
                "protocol": "https",
                "method": "post",
                "connectorEnabled": false,
                "piiDataEnabled": false
            },
            "headerFields": {
                "Content-Type": "application/json",
                "X-Lara-Access-Key-Id": "15EJ8UGGTKQSA60BVSCE3xxxxx",
                "X-Lara-Access-Key-Secret": "***REDACTED***"
            },
            "payloadFields": {
                "sourceText": "Thank you for waiting. You are now connected with agent with only credit AND",
                "targetLanguage": "es"
            },
            "idp": "none",
            "force_proxy": true,
            "timeout": 20000
        },
        "outputPayload": {
            "translations": [
                "Gracias por esperar. Ahora estás en contacto con un agente solo con tarjeta de crédito Y"
            ]
        },
        "engine": "custom",
        "statusCode": 200,
        "success": true,
        "batchSize": 1
    },
    {
        "sessionId": "69ef6f2737087759a08xxxxx",
        "timestamp": "2026-04-27T14:15:17.410Z",
        "inputPayload": {
            "endPoint": {
                "host": "xxxxxx-translate.laratranslate.com",
                "port": "",
                "path": "/translate",
                "protocol": "https",
                "method": "post",
                "connectorEnabled": false,
                "piiDataEnabled": false
            },
            "headerFields": {
                "Content-Type": "application/json",
                "X-Lara-Access-Key-Id": "15EJ8UGGTKQSA60BVSCE3xxxxx",
                "X-Lara-Access-Key-Secret": "***REDACTED***"
            },
            "payloadFields": {
                "sourceText": "Please enter intent<>transfer money<>Please wait<>Por favor espere mientras encuentro al agente adecuado para usted<>Thank you for waiting. You are now connected with agent with only credit AND",
                "targetLanguage": "de"
            },
            "idp": "none",
            "force_proxy": true,
            "timeout": 20000,
            "originalIndices": [
                0,
                1,
                2,
                3,
                4
            ]
        },
        "outputPayload": {
            "translations": [
                "Bitte geben Sie den Zweck an&lt;&gt;Geld überweisen&lt;&gt;Bitte warten Sie&lt;&gt;Por favor espere mientras encuentro al agente adecuado para usted&lt;&gt;Vielen Dank für Ihre Geduld. Sie sind jetzt mit einem Mitarbeiter verbunden, der nur Kredit hat UND"
            ]
        },
        "engine": "custom",
        "statusCode": 200,
        "success": true,
        "batchSize": 1
    },
    {
        "sessionId": "69ef6f2737087759a08xxxxx",
        "timestamp": "2026-04-27T14:15:17.423Z",
        "inputPayload": {
            "endPoint": {
                "host": "xxxxxx-translate.laratranslate.com",
                "port": "",
                "path": "/translate",
                "protocol": "https",
                "method": "post",
                "connectorEnabled": false,
                "piiDataEnabled": false
            },
            "headerFields": {
                "Content-Type": "application/json",
                "X-Lara-Access-Key-Id": "15EJ8UGGTKQSA60BVSCExxxxx",
                "X-Lara-Access-Key-Secret": "***REDACTED***"
            },
            "payloadFields": {
                "sourceText": "Please enter intent<>transfer money<>Please wait<>Por favor espere mientras encuentro al agente adecuado para usted<>Thank you for waiting. You are now connected with agent with only credit AND",
                "targetLanguage": "de"
            },
            "idp": "none",
            "force_proxy": true,
            "timeout": 20000,
            "originalIndices": [
                0,
                1,
                2,
                3,
                4
            ]
        },
        "outputPayload": {
            "translations": [
                "Bitte geben Sie den Zweck an&lt;&gt;Geld überweisen&lt;&gt;Bitte warten Sie&lt;&gt;Por favor espere mientras encuentro al agente adecuado para usted&lt;&gt;Vielen Dank für Ihre Geduld. Sie sind jetzt mit einem Mitarbeiter verbunden, der nur Kredit hat UND"
            ]
        },
        "engine": "custom",
        "statusCode": 200,
        "success": true,
        "batchSize": 1
    },
    {
        "sessionId": "69ef6f2737087759a08xxxxx",
        "timestamp": "2026-04-27T14:15:17.627Z",
        "inputPayload": {
            "endPoint": {
                "host": "xxxxxx-translate.laratranslate.com",
                "port": "",
                "path": "/translate",
                "protocol": "https",
                "method": "post",
                "connectorEnabled": false,
                "piiDataEnabled": false
            },
            "headerFields": {
                "Content-Type": "application/json",
                "X-Lara-Access-Key-Id": "15EJ8UGGTKQSA60BVSCE3xxxxx",
                "X-Lara-Access-Key-Secret": "***REDACTED***"
            },
            "payloadFields": {
                "sourceText": "Please enter intent<>transfer money<>Please wait<>Por favor espere mientras encuentro al agente adecuado para usted<>Thank you for waiting. You are now connected with agent with only credit AND",
                "targetLanguage": "de"
            },
            "idp": "none",
            "force_proxy": true,
            "timeout": 20000,
            "originalIndices": [
                0,
                1,
                2,
                3,
                4
            ]
        },
        "outputPayload": {
            "translations": [
                "Bitte geben Sie den Zweck an&lt;&gt;Geld überweisen&lt;&gt;Bitte warten Sie&lt;&gt;Por favor espere mientras encuentro al agente adecuado para usted&lt;&gt;Vielen Dank für Ihre Geduld. Sie sind jetzt mit einem Mitarbeiter verbunden, der nur Kredit hat UND"
            ]
        },
        "engine": "custom",
        "statusCode": 200,
        "success": true,
        "batchSize": 1
    },
    {
        "sessionId": "69ef6f2737087759a08xxxxx",
        "timestamp": "2026-04-27T14:16:05.165Z",
        "inputPayload": {
            "endPoint": {
                "host": "xxxxxx-translate.laratranslate.com",
                "port": "",
                "path": "/translate",
                "protocol": "https",
                "method": "post",
                "connectorEnabled": false,
                "piiDataEnabled": false
            },
            "headerFields": {
                "Content-Type": "application/json",
                "X-Lara-Access-Key-Id": "15EJ8UGGTKQSA60BVSCE3xxxxx",
                "X-Lara-Access-Key-Secret": "***REDACTED***"
            },
            "payloadFields": {
                "sourceText": "agent ahora ha cerrado esta conversación. Comuníquese con nosotros si necesita ayuda nuevamente.",
                "targetLanguage": "es"
            },
            "idp": "none",
            "force_proxy": true,
            "timeout": 20000
        },
        "outputPayload": {
            "translations": [
                "agent ahora ha cerrado esta conversación. Comuníquese con nosotros si necesita ayuda nuevamente."
            ]
        },
        "engine": "custom",
        "statusCode": 200,
        "success": true,
        "batchSize": 1
    },
    {
        "sessionId": "69ef6f2737087759a08xxxxx",
        "timestamp": "2026-04-27T14:16:05.184Z",
        "inputPayload": {
            "endPoint": {
                "host": "xxxxxx-translate.laratranslate.com",
                "port": "",
                "path": "/translate",
                "protocol": "https",
                "method": "post",
                "connectorEnabled": false,
                "piiDataEnabled": false
            },
            "headerFields": {
                "Content-Type": "application/json",
                "X-Lara-Access-Key-Id": "15EJ8UGGTKQSA60BVSCE3xxxxx",
                "X-Lara-Access-Key-Secret": "***REDACTED***"
            },
            "payloadFields": {
                "sourceText": "Por favor, complete la encuesta.",
                "targetLanguage": "es"
            },
            "idp": "none",
            "force_proxy": true,
            "timeout": 20000
        },
        "outputPayload": {
            "translations": [
                "Por favor, complete la encuesta."
            ]
        },
        "engine": "custom",
        "statusCode": 200,
        "success": true,
        "batchSize": 1
    }
]

Response Parameters

ParameterDescriptionTypeExample
sessionIdConversation session ID associated with the translation event.string69ef6f2737087759a08xxxxx
timestampUTC timestamp when the translation log was recorded.string (datetime)2026-04-27T14:16:05.184Z
inputPayloadRequest payload sent to the translation provider. Sensitive keys are masked.object
inputPayload.endPointAPI endpoint configuration detailsobject
inputPayload.endPoint.hostAPI host URLstringxxxxx-translate.laratranslate.com
inputPayload.endPoint.portPort number (if applicable)string
inputPayload.endPoint.pathAPI endpoint pathstring/translate
inputPayload.endPoint.protocolThe protocol used for the requeststringhttps
inputPayload.endPoint.methodHTTP method usedstringpost
inputPayload.endPoint.connectorEnabledIndicates if the connector is enabledbooleanfalse
inputPayload.endPoint.connectorEnabledIndicates if PII handling is enabledbooleanfalse
inputPayload.headerFieldsHTTP headers sent with the requestobject
inputPayload.headerFields.Content-TypeContent type of the requeststring”application/json”
inputPayload.headerFields.X-Lara-Access-Key-IdAPI access key IDstring15EJ8UGGTKQSA60BVSCE3xxxxx
inputPayload.headerFields.X-Lara-Access-Key-SecretAPI secret key (masked)stringREDACTED
inputPayload.payloadFieldsMain request payloadobject
inputPayload.payloadFields.sourceTextText to be translatedstringagent ahora ha cerrado esta conversación. Comuníquese con nosotros si necesita ayuda nuevamente.
inputPayload.payloadFields.targetLanguageTarget language codestringes
inputPayload.idpIdentity provider usedstringnone
inputPayload.force_proxyIndicates if proxy is forcedbooleantrue
inputPayload.timeoutRequest timeout in millisecondsnumber20000
outputPayloadResponse payload returned by the translation provider.
outputPayload.translationsList of translated textsarray of stringsagent ahora ha cerrado esta conversación. Comuníquese con nosotros si necesita ayuda nuevamente.
engineTranslation engine used, for example, google, microsoft, or custom.stringcustom
statusCodeStatus code returned by the translation provider or internal processing layer.number200
successIndicates whether the translation call succeeded.booleantrue
batchSizeNumber of items included in the translation request.number1

Current Limitations

1. No pagination metadata in the response

The API doesn’t return fields such as total, count, hasMore, or nextOffset. You have to manage pagination manually using offset. If the number of matching records exceeds 50, you must manually fetch the next set by passing offset. Examples:
  • First page: offset=0&limit=50
  • Second page: offset=50&limit=50
  • Third page: offset=100&limit=50

2. Use UTC timestamps for accurate filtering

For accurate filtering, use fromDate and toDate as full UTC timestamps such as 2026-04-27T18:14:06.498Z.

3. No translation initiation segregation

The response doesn’t indicate where the translation was initiated from. For example, it doesn’t distinguish whether the translation request originated from:
  • Live Conversation
  • Monitor Interactions
  • Other translation-enabled surfaces
So while the API returns translation request and response details, it doesn’t provide a field for translation initiation source.

4. Message Order Preservation Limitation

The translated messages are accurate; however, the sequence of messages in the request isn’t preserved due to indexing issues.